package hmggirlfront.render.tile;


import org.lwjgl.opengl.GL11;
import org.lwjgl.opengl.GL12;

import hmggirlfront.block.tile.TileEntity_Base_Materials;
import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import objmodel.AdvancedModelLoader;
import objmodel.IModelCustom;

@SideOnly(Side.CLIENT)
public class TileRender_Base_Materials extends TileEntitySpecialRenderer<TileEntity_Base_Materials>
{
    private static final ResourceLocation box = new ResourceLocation("hmggirlfront:textures/blocks/model/materials.png");
    private static final ResourceLocation box_em = new ResourceLocation("hmggirlfront:textures/blocks/model/materials_em.png");
    private static final IModelCustom box_model = AdvancedModelLoader.loadModel(
    		new ResourceLocation("hmggirlfront:textures/blocks/model/materials.mqo"));
    private ResourceLocation texture;
    private boolean field_147509_j;
    private static final String __OBFID = "CL_00000965";

    public TileRender_Base_Materials()
    {
    }

    public void render(TileEntity_Base_Materials tile, double x, double y, double z, float partialTicks, int destroyStage, float alpha)
    {
    	Minecraft minecraft = Minecraft.getMinecraft();
    	
        GL11.glPushMatrix();
        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
        GL11.glTranslatef((float)x + 0.5F, (float)y + 0F, (float)z + 0.5F);
        GL11.glRotatef(180.0F, 0.0F, 1.0F, 0.0F);
        if(tile.enemy) {
        	this.bindTexture(box_em);
        }else {
        	this.bindTexture(box);
        }
        box_model.renderPart("mat1");
        GL11.glTranslatef(0F, 1.1F, 0F);
        GL11.glRotatef(tile.invcount, 0.0F, 1.0F, 0.0F);
        GL11.glTranslatef(-0F, -1.1F, -0F);
        box_model.renderPart("mat2");
        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
        GL11.glPopMatrix();
        
    }
}